import Network from "~/models/Network/Network";
import ApiModel from "~/models/ApiModel";
import {HasOne, Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : NetworkOrganization
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Network/NetworkOrganization.php
 */
export default class NetworkOrganization extends ApiModel {
  static entity = 'network_organizations'

  @Uid()
  declare id: number | string | null

  @HasOne(() => Network, 'networkOrganizationId')
  declare network: Network | null

  @Str('')
  declare startDate: string

  @Str('')
  declare category: string
}
